Apple Pay Domains
Get domain details
Get an Apple Pay domain by its identifier.
GET
/
api
/
wallet
/
apple-pay
/
domains
/
{id}
Get domain details
curl --request GET \
--url https://{cluster_id}.on-hellgate.cloud/api/wallet/apple-pay/domains/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://{cluster_id}.on-hellgate.cloud/api/wallet/apple-pay/domains/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://{cluster_id}.on-hellgate.cloud/api/wallet/apple-pay/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "pay.example.com",
"state": "verified",
"created_at": "2023-11-07T05:31:56Z",
"last_verified_at": "2023-11-07T05:31:56Z"
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
APIKeyAdminToken
Path Parameters
The ID of the domain to read.
Previous
Delete a domainRemove a domain from Apple Pay. The domain can no longer present the Apple Pay button until re-registered and verified.
Next
⌘I
Get domain details
